<?php

namespace App\Modules\Production;

use Illuminate\Support\ServiceProvider;
use App\Modules\Production\Models\ProductionOrder;
use App\Modules\Production\Observers\ProductionOrderObserver;

class ProductionServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        //
    }

    public function boot(): void
    {
        ProductionOrder::observe(ProductionOrderObserver::class);
    }
}
